// terminal UI

import Table from 'tty-table'

export default class TuiTable {
  constructor() {
    this.header = [
      {
        value: 'room',
        headerColor: 'cyan',
        color: 'white',
        align: 'center'
      },
      {
        value: 'pubOrPvt',
        headerColor: 'cyan',
        color: 'white',
        align: 'center'
      },
      {
        value: 'status',
        headerColor: 'cyan',
        color: 'white',
        align: 'center'
      },
      {
        value: 'message',
        headerColor: 'cyan',
        color: 'white',
        align: 'center'
      },
      {
        value: 'tip',
        headerColor: 'cyan',
        color: 'white',
        align: 'center'
      },
      {
        value: 'title',
        headerColor: 'cyan',
        color: 'white',
        align: 'center'
      },
      {
        value: 'silence',
        headerColor: 'cyan',
        color: 'white',
        align: 'center'
      }
    ]
    
    // Example with objects as rows
    this.rows = [

    ]
    

    
    this.footer = [ ]
    
    this.options = {
      borderStyle: "solid",
      borderColor: "green",
      paddingBottom: 0,
      headerAlign: "center",
      headerColor: "green",
      align: "center",
      color: "white",
      width: "80%"
    }
    
    const t1 = Table(this.header, this.rows, this.footer, this.options).render()
    console.log(t1)
    
    
  }

  addRow(data) {
    this.rows.push(data)
    const t1 = Table(this.header, this.rows, this.footer, this.options).render()
    console.log(t1)
  }

  removeRow() {

  }
}

