import { execa } from 'execa';
import path, { dirname } from 'node:path';
import { fileURLToPath } from 'url';

const __dirname = dirname(fileURLToPath(import.meta.url));
const alertSound = path.join(__dirname, '..', 'assets', 'alert7.mp3')


export function alert () {
  try {
    execa('ffplay', ['-i', alertSound, '-autoexit'])
  } catch (e) {
    console.error(`unable to play alert sound. ${e}`)
  }
}



