
import chai from "chai";

import { extractRoomId } from '../../src/parsers.js'


describe('parsers', function () {
  describe('extractRoomId', function () {
    it('should handle various inputs', function () {
      chai.expect(extractRoomId('room:message:27WDW5C:3')).to.equal('27WDW5C');
      chai.expect(extractRoomId('room:message:KGHH38V:0')).to.equal('KGHH38V');
      chai.expect(extractRoomId('room:title_change:KGHH38V')).to.equal('KGHH38V');
    });
  })
});
