import metascraper from 'metascraper';

import metascraperUrl from 'metascraper-url';
import metascraperTitle from 'metascraper-title';
import metascraperImage from 'metascraper-image';
import metascraperDate from 'metascraper-date';
import metascraperDescription from 'metascraper-description';
import metascraperPublisher from 'metascraper-publisher';

const siteUrl = 'https://twitter.com/projektMelody';
const response = await fetch(siteUrl);
const html = await response.text();
const url = response.url;
const metadata = await metascraper([
  metascraperUrl(),
  metascraperTitle(),
  metascraperImage(),
  metascraperDate(),
  metascraperDescription(),
  metascraperPublisher(),
])({ html, url });
console.log(metadata);