


export function extractRoomId(input) {
  const regex = /^(?:\w+):(?:\w+):(\w+)/;
  const matches = input.match(regex);

  if (matches && matches.length > 1) {
    return matches[1]; // Return the captured ID from the regex match
  }

  return null; // Return null if no ID is found
}